View Issue Details

IDProjectCategoryView StatusLast Update
0002419Industrial-Craft²crossmod-compatibility / submodules / APIpublic2018-09-08 17:33
ReporterprokopiyAssigned ToChocohead 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform1.12.2OSUbuntuOS Version16.04
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002419: Crash with Advanced Solar Panel mod
DescriptionCrash with Advanced Solar Panel mod
Steps To Reproduceon server load
TagsNo tags attached.
Minecraft Version1.12.2

Activities

prokopiy

2018-09-07 13:08

reporter  

crash-2018-09-07_15.57.15-server.txt (21,992 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  MicdoodlePlugin (MicdoodleCore-1.12.2-4.0.1.181.jar)
  SpongeCoremod (spongeforge-1.12.2-2705-7.1.0-BETA-3438.jar)
  AstralCore (astralsorcery-1.12.2-1.9.4.jar)
Contact their authors BEFORE contacting forge

// Hi. I'm Minecraft, and I'm a crashaholic.

Time: 9/7/18 3:57 PM
Description: Exception in server tick loop

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from Advanced Solar Panels (advanced_solar_panels)
Caused by: java.lang.NoClassDefFoundError: ic2/core/block/machine/gui/GuiClassicCanner
	at ic2.core.gui.Gauge$GaugeStyle.<clinit>(Gauge.java:277)
	at com.chocohead.advsolar.gui.ProgressBars.addStyles(ProgressBars.java:33)
	at com.chocohead.advsolar.AdvancedSolarPanels.init(AdvancedSolarPanels.java:126)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:627)
	at sun.reflect.GeneratedMethodAccessor3.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:218)
	at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:196)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.redirect$onPost$zza000(LoadController.java:560)
	at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:135)
	at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:744)
	at net.minecraftforge.fml.server.FMLServerHandler.finishServerLoading(FMLServerHandler.java:107)
	at net.minecraftforge.fml.common.FMLCommonHandler.onServerStarted(FMLCommonHandler.java:337)
	at net.minecraft.server.dedicated.DedicatedServer.func_71197_b(DedicatedServer.java:219)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:486)
	at java.lang.Thread.run(Thread.java:748)
Caused by: java.lang.ClassNotFoundException: ic2.core.block.machine.gui.GuiClassicCanner
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 39 more
Caused by: net.minecraftforge.fml.common.asm.ASMTransformerWrapper$TransformerException: Exception in class transformer net.minecraftforge.fml.common.asm.transformers.SideTransformer@30404dba from coremod FMLCorePlugin
	at net.minecraftforge.fml.common.asm.ASMTransformerWrapper$TransformerWrapper.transform(ASMTransformerWrapper.java:262)
	at net.minecraft.launchwrapper.LaunchClassLoader.runTransformers(LaunchClassLoader.java:279)
	at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:176)
	... 41 more
Caused by: java.lang.RuntimeException: Attempted to load class ic2/core/block/machine/gui/GuiClassicCanner for invalid side SERVER
	at net.minecraftforge.fml.common.asm.transformers.SideTransformer.transform(SideTransformer.java:62)
	at net.minecraftforge.fml.common.asm.ASMTransformerWrapper$TransformerWrapper.transform(ASMTransformerWrapper.java:258)
	... 43 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Server thread
Stacktrace:
	at net.minecraft.server.MinecraftServer.handler$onCrashReport$zjj000(MinecraftServer.java:3982)

-- Sponge PhaseTracker --
Details:
	Phase Stack: [Empty stack]
Stacktrace:
	at net.minecraft.server.MinecraftServer.handler$onCrashReport$zjj000(MinecraftServer.java:3982)
	at net.minecraft.server.MinecraftServer.func_71230_b(MinecraftServer.java:889)
	at net.minecraft.server.dedicated.DedicatedServer.func_71230_b(DedicatedServer.java:370)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:558)
	at java.lang.Thread.run(Thread.java:748)

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Linux (amd64) version 4.4.0-128-generic
	Java Version: 1.8.0_171, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1017484344 bytes (970 MB) / 4636278784 bytes (4421 MB) up to 9544663040 bytes (9102 MB)
	JVM Flags: 1 total; -Xmx10G
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP 9.42 Powered by Forge 14.23.4.2705 91 mods loaded, 91 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State | ID                          | Version                     | Source                                        | Signature                                |
	|:----- |:--------------------------- |:--------------------------- |:--------------------------------------------- |:---------------------------------------- |
	| UCHI  | minecraft                   | 1.12.2                      | minecraft.jar                                 | None                                     |
	| UCHI  | mcp                         | 9.42                        | minecraft.jar                                 | None                                     |
	| UCHI  | FML                         | 8.0.99.99                   | forge-1.12.2-14.23.4.2705-universal.jar       | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHI  | forge                       | 14.23.4.2705                | forge-1.12.2-14.23.4.2705-universal.jar       | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHI  | micdoodlecore               |                             | minecraft.jar                                 | None                                     |
	| UCHI  | spongeapi                   | 7.1.0-ff990df               | spongeforge-1.12.2-2705-7.1.0-BETA-3438.jar   | None                                     |
	| UCHI  | sponge                      | 1.12.2-2705-7.1.0-BETA-3438 | spongeforge-1.12.2-2705-7.1.0-BETA-3438.jar   | 6729a677746f8cf63ef31881f913ed15d431b7f0 |
	| UCHI  | ic2                         | 2.8.98-ex112                | industrialcraft-2-2.8.98-ex112.jar            | de041f9f6187debbc77034a344134053277aa3b0 |
	| UCHEE | advanced_solar_panels       | 4.2.0                       | Advanced+Solar+Panels-4.2.0.jar               | None                                     |
	| UCH   | appliedenergistics2         | rv5-stable-11               | appliedenergistics2-rv5-stable-11.jar         | None                                     |
	| UCH   | baubles                     | 1.5.2                       | Baubles-1.12-1.5.2.jar                        | None                                     |
	| UCH   | crafttweaker                | 4.1.9                       | CraftTweaker2-1.12-4.1.9.jar                  | None                                     |
	| UCH   | astralsorcery               | 1.9.4                       | astralsorcery-1.12.2-1.9.4.jar                | a0f0b759d895c15ceb3e3bcb5f3c2db7c582edf0 |
	| UCH   | bettermuffling              | 0.2.0-Beta                  | Better+Muffling-1.12.2-0.2.0-Beta.jar         | None                                     |
	| UCH   | mtlib                       | 3.0.5                       | MTLib-3.0.5.jar                               | None                                     |
	| UCH   | modtweaker                  | 4.0.13                      | modtweaker-4.0.13.jar                         | None                                     |
	| UCH   | jei                         | 4.12.0.216                  | jei_1.12.2-4.12.0.216.jar                     | None                                     |
	| UCH   | forestry                    | 5.8.1.328                   | forestry_1.12.2-5.8.1.328.jar                 | None                                     |
	| UCH   | binniecore                  | 2.5.0.167                   | binnie-mods-1.12.2-2.5.0.167.jar              | None                                     |
	| UCH   | binniedesign                | 2.5.0.167                   | binnie-mods-1.12.2-2.5.0.167.jar              | None                                     |
	| UCH   | genetics                    | 2.5.0.167                   | binnie-mods-1.12.2-2.5.0.167.jar              | None                                     |
	| UCH   | botany                      | 2.5.0.167                   | binnie-mods-1.12.2-2.5.0.167.jar              | None                                     |
	| UCH   | extrabees                   | 2.5.0.167                   | binnie-mods-1.12.2-2.5.0.167.jar              | None                                     |
	| UCH   | extratrees                  | 2.5.0.167                   | binnie-mods-1.12.2-2.5.0.167.jar              | None                                     |
	| UCH   | guideapi                    | 1.12-2.1.5-60               | Guide-API-1.12-2.1.5-60.jar                   | None                                     |
	| UCH   | bloodmagic                  | 1.12.2-2.3.1-99             | BloodMagic-1.12.2-2.3.1-99.jar                | None                                     |
	| UCH   | bloodarsenal                | 1.12.2-2.1.0-24             | BloodArsenal-1.12.2-2.1.0-24.jar              | None                                     |
	| UCH   | rf-capability-adapter       | 1.0                         | capabilityadapter-1.0.1.jar                   | None                                     |
	| UCH   | chameleon                   | 1.12-4.1.3                  | Chameleon-1.12-4.1.3.jar                      | None                                     |
	| UCH   | codechickenlib              | 3.2.0.345                   | CodeChickenLib-1.12.2-3.2.0.345-universal.jar | f1850c39b2516232a2108a7bd84d1cb5df93b261 |
	| UCH   | redstoneflux                | 2.0.2                       | RedstoneFlux-1.12-2.0.2.3-universal.jar       | 8a6abf2cb9e141b866580d369ba6548732eff25f |
	| UCH   | cofhcore                    | 4.5.2                       | CoFHCore-1.12.2-4.5.2.19-universal.jar        | None                                     |
	| UCH   | compactmachines3            | 3.0.12                      | compactmachines3-1.12.2-3.0.12-b215.jar       | None                                     |
	| UCH   | crafttweakerjei             | 2.0.2                       | CraftTweaker2-1.12-4.1.9.jar                  | None                                     |
	| UCH   | cyberware                   | 0.2.10.12                   | cyberware-1.12.2-0.2.10.12.jar                | 67a0e286dc0d4b502f3c92ac20b953517b52d0a9 |
	| UCH   | eleccore                    | 1.8.434                     | ElecCore-1.12.2-1.8.434.jar                   | None                                     |
	| UCH   | mcjtylib_ng                 | 2.6.7                       | mcjtylib-1.12-2.6.7.jar                       | None                                     |
	| UCH   | deepresonance               | 1.6.0                       | deepresonance-1.12-1.6.0.jar                  | None                                     |
	| UCH   | foamfix                     | 0.9.9.1-1.12.2              | foamfix-0.9.9.1-1.12.2-law.jar                | None                                     |
	| UCH   | forgemultipartcbe           | 2.4.2.60                    | ForgeMultipart-1.12.2-2.4.2.60-universal.jar  | f1850c39b2516232a2108a7bd84d1cb5df93b261 |
	| UCH   | microblockcbe               | 2.4.2.60                    | ForgeMultipart-1.12.2-2.4.2.60-universal.jar  | None                                     |
	| UCH   | minecraftmultipartcbe       | 2.4.2.60                    | ForgeMultipart-1.12.2-2.4.2.60-universal.jar  | None                                     |
	| UCH   | galacticraftcore            | 4.0.1.181                   | GalacticraftCore-1.12.2-4.0.1.181.jar         | None                                     |
	| UCH   | galacticraftplanets         | 4.0.1.181                   | Galacticraft-Planets-1.12.2-4.0.1.181.jar     | None                                     |
	| UCH   | trashcansreborn             | 1.1.0                       | garbagebins-1.1.0.jar                         | None                                     |
	| UCH   | waila                       | 1.8.26                      | Hwyla-1.8.26-B41_1.12.2.jar                   | None                                     |
	| UCH   | instantunify                | 1.1.1                       | instantunify-1.12.2-1.1.1.jar                 | None                                     |
	| UCH   | ironchest                   | 1.12.2-7.0.44.829           | ironchest-1.12.2-7.0.44.829.jar               | None                                     |
	| UCH   | login_shield                | 1.12.2-3-g7c6e7ac           | Login_Shield-1.12.2-3-g7c6e7ac.jar            | None                                     |
	| UCH   | lttweaker                   | 1.1.14                      | LootTableTweaker-1.12.2-1.1.14.jar            | d476d1b22b218a10d845928d1665d45fce301b27 |
	| UCH   | mcmultipart                 | 2.5.1                       | MCMultiPart-2.5.1.jar                         | None                                     |
	| UCH   | mekanism                    | 1.12.2-9.4.13.349           | Mekanism-1.12.2-9.4.13.349.jar                | None                                     |
	| UCH   | mekanismgenerators          | 9.4.11                      | MekanismGenerators-1.12.2-9.4.13.349.jar      | None                                     |
	| UCH   | mekanismtools               | 9.4.11                      | MekanismTools-1.12.2-9.4.13.349.jar           | None                                     |
	| UCH   | mjrlegendslib               | 1.12.2-1.1.4                | MJRLegendsLib-1.12.2-1.1.4.jar                | b02331787272ec3515ebe63ecdeea0d746653468 |
	| UCH   | morpheus                    | 1.12-3.3.2                  | Morpheus-1.12-3.3.2.jar                       | None                                     |
	| UCH   | mrtjpcore                   | 2.1.3.35                    | MrTJPCore-1.12.2-2.1.3.35-universal.jar       | None                                     |
	| UCH   | nodestroy                   | 0.1                         | nodestroy-0.1.jar                             | None                                     |
	| UCH   | thaumcraft                  | 6.1.BETA23                  | Thaumcraft-1.12.2-6.1.BETA23.jar              | None                                     |
	| UCH   | omlib                       | 3.0.0-148                   | omlib-1.12.2-3.0.0-148.jar                    | None                                     |
	| UCH   | openmodularturrets          | 3.0.1-257                   | openmodularturrets-1.12.2-3.0.1-257.jar       | None                                     |
	| UCH   | projectred-core             | 4.9.1.92                    | ProjectRed-1.12.2-4.9.1.92-Base.jar           | None                                     |
	| UCH   | projectred-integration      | 4.9.1.92                    | ProjectRed-1.12.2-4.9.1.92-integration.jar    | None                                     |
	| UCH   | projectred-transmission     | 4.9.1.92                    | ProjectRed-1.12.2-4.9.1.92-integration.jar    | None                                     |
	| UCH   | projectred-fabrication      | 4.9.1.92                    | ProjectRed-1.12.2-4.9.1.92-fabrication.jar    | None                                     |
	| UCH   | redstonearsenal             | 2.5.1                       | RedstoneArsenal-1.12.2-2.5.1.13-universal.jar | 8a6abf2cb9e141b866580d369ba6548732eff25f |
	| UCH   | soulshardsrespawn           | 1.12.2-1.0.6-8              | SoulShardsRespawn-1.12.2-1.0.6-8.jar          | None                                     |
	| UCH   | spartanshields              | 1.4.1                       | SpartanShields-1.12.2-1.4.1.jar               | None                                     |
	| UCH   | storagedrawers              | 1.12-5.3.5                  | StorageDrawers-1.12.2-5.3.7.jar               | None                                     |
	| UCH   | superpiston                 | 1.0.1                       | SuperPiston-1.0.1.jar                         | None                                     |
	| UCH   | thaumicterminal             | 1.0.8                       | ThaumicTerminal-1.0.8.jar                     | None                                     |
	| UCH   | tombmanygraves2api          | 1.12.2-1.0.0                | tombmanygraves2api-1.12.2-1.0.0.jar           | None                                     |
	| UCH   | tombmanygraves              | 1.12-4.1.0                  | TombManyGraves-1.12-4.1.0.jar                 | None                                     |
	| UCH   | tombmanypluginsgalacticraft | 1.0.0                       | tombmanypluginsgalacticraft-1.0.0.jar         | None                                     |
	| UCH   | wanionlib                   | 1.12.2-1.5                  | WanionLib-1.12.2-1.5.jar                      | None                                     |
	| UCH   | worldedit                   | 6.1.8                       | worldedit-forge-mc1.12-6.1.8-dist.jar         | None                                     |
	| UCH   | mmcreboot                   | 2.3.0                       | MMCReboot-2.3.0-API-7.jar                     | None                                     |
	| UCH   | shabbyholograms             | 1.0.0                       | shabbyholograms-1.0-SNAPSHOT-shaded.jar       | None                                     |
	| UCH   | griefprevention             | 4.3.0                       | griefprevention-1.12.2-4.3.0.653.jar          | None                                     |
	| UCH   | mc-chestshop                | 7.1.0-1.0.1-SNAPSHOT        | mc-chestshop-7.1.0-1.0.1-SNAPSHOT.jar         | None                                     |
	| UCH   | universalmarket             | 1.0                         | UniversalMarket-1.12.2-v1.2.1.jar             | None                                     |
	| UCH   | triviaquest                 | 2.1.1                       | TriviaQuest-s7.1-v2.1.1.jar                   | None                                     |
	| UCH   | catclearlag                 | 0.8.3                       | CatClearLag-0.8.3.jar                         | None                                     |
	| UCH   | mc-personal-warp            | 7.1.0-1.0.1-SNAPSHOT        | mc-personal-warp-7.1.0-1.0.1-SNAPSHOT.jar     | None                                     |
	| UCH   | nucleus                     | 1.5.4-S7.0                  | Nucleus-1.5.4-S7.0-MC1.12.2-plugin.jar        | None                                     |
	| UCH   | jobslite                    | 1.8.1                       | JobsLite-7.1.0-1.8.1.jar                      | None                                     |
	| UCH   | mc-place-limiter            | 7.1.0-1.0.1                 | mc-place-limiter-7.1.0-1.0.1.jar              | None                                     |
	| UCH   | economylite                 | 2.14.4                      | EconomyLite-7.1.0-2.14.4.jar                  | None                                     |
	| UCH   | mmcrestrict                 | 1.5.1                       | MMCRestrict-1.5.1-API-7.jar                   | None                                     |
	| UCH   | luckperms                   | 4.2.49                      | LuckPerms-Sponge-4.2.49.jar                   | None                                     |
	| UCH   | unidict                     | 1.12.2-2.6                  | UniDict-1.12.2-2.6.jar                        | None                                     |

	Loaded coremods (and transformers): 
MicdoodlePlugin (MicdoodleCore-1.12.2-4.0.1.181.jar)
  micdoodle8.mods.miccore.MicdoodleTransformer
SpongeCoremod (spongeforge-1.12.2-2705-7.1.0-BETA-3438.jar)
  org.spongepowered.common.launch.transformer.SpongeSuperclassTransformer
AstralCore (astralsorcery-1.12.2-1.9.4.jar)
  
	AE2 Version: stable rv5-stable-11 for Forge 14.23.1.2554
	Profiler Position: N/A (disabled)
	Is Modded: Definitely; Server brand changed to 'fml,forge,sponge'
	Type: Dedicated Server (map_server.txt)

Chocohead

2018-09-08 17:33

developer   ~0005796

Fixed in IC2 2.8.99

Issue History

Date Modified Username Field Change
2018-09-07 13:08 prokopiy New Issue
2018-09-07 13:08 prokopiy File Added: crash-2018-09-07_15.57.15-server.txt
2018-09-08 01:06 Chocohead Assigned To => Chocohead
2018-09-08 01:06 Chocohead Status new => assigned
2018-09-08 17:33 Chocohead Status assigned => resolved
2018-09-08 17:33 Chocohead Resolution open => fixed
2018-09-08 17:33 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-09-08 17:33 Chocohead Note Added: 0005796